Mixedbread
EndpointsIntegrations

Refresh Resources

POST/v1/integrations/installations/{installation_id}/resources/refresh

Authorization

Authorizationstringrequired

Bearer token for API authentication. Format: `Bearer YOUR_API_KEY`

Path Parameters

installation_idstring(uuid)required

Installation ID, as returned when the account connected

Response Body

Request
cURL
POST/v1/integrations/installations/{installation_id}/resources/refresh
curl -X POST https://api.mixedbread.com/v1/integrations/installations/7b3d5f1a-9c2e-4a8b-b6d4-1e0f3c5a7d92/resources/refresh \
  -H 'Authorization: Bearer YOUR_API_KEY'
Response
JSON
{
  "data": {
    "installation_id": "7b3d5f1a-9c2e-4a8b-b6d4-1e0f3c5a7d92",
    "provider": "slack",
    "status": "active",
    "account": {
      "id": "U0AE2TTTBPU",
      "name": "Olivia",
      "email": "olivia@example.com",
      "workspace": "Example Inc"
    },
    "store_id": "c4a6e8f0-2b1d-4c3e-9a5f-7e6d5c4b3a21",
    "store_name": "slack-olivia",
    "sync": {
      "failed_resource_count": 1,
      "last_error": null,
      "last_error_operation": null,
      "last_error_at": null
    },
    "resources": [
      {
        "id": "C067DDX8J2X",
        "name": "general",
        "kind": "channel",
        "is_selected": true,
        "parent_id": null,
        "url": null,
        "message_count": null,
        "member_count": 42,
        "sync": {
          "status": "syncing",
          "last_synced_at": "2026-09-05T17:13:35.604283Z",
          "error": null,
          "last_run": {
            "status": "completed",
            "started_at": "2026-09-05T17:13:33.145422Z",
            "completed_at": "2026-09-05T17:13:35.635698Z",
            "error": null
          }
        }
      },
      {
        "id": "D0ADMEQP5P1",
        "name": "Aamir",
        "kind": "direct_message",
        "is_selected": true,
        "parent_id": null,
        "url": null,
        "message_count": null,
        "member_count": null,
        "sync": {
          "status": "syncing",
          "last_synced_at": "2026-09-05T17:13:37.073422Z",
          "error": null,
          "last_run": {
            "status": "completed",
            "started_at": "2026-09-05T17:13:35.750981Z",
            "completed_at": "2026-09-05T17:13:37.105403Z",
            "error": null
          }
        }
      },
      {
        "id": "C0B6S6XJJN4",
        "name": "ext-partners",
        "kind": "channel",
        "is_selected": false,
        "parent_id": null,
        "url": null,
        "message_count": null,
        "member_count": 7,
        "sync": {
          "status": "not_syncing",
          "last_synced_at": null,
          "error": null,
          "last_run": null
        }
      }
    ],
    "selected_resource_ids": [
      "C067DDX8J2X",
      "D0ADMEQP5P1"
    ],
    "parent_id": null,
    "next_cursor": "3",
    "total": 162,
    "listing_status": "ready",
    "sync_all": true
  }
}